Bug 784414 - [abrt] kernel: BUG: scheduling while atomic: colord/1456/0x10000101
[abrt] kernel: BUG: scheduling while atomic: colord/1456/0x10000101
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:0d27c08901cacbbee24f52ae96f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-24 15:16 EST by collura
Modified: 2012-01-26 05:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-26 05:10:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
var log messages with various programs giving sched atomic error for kernel 3.2.1-3.fc16 (1.30 MB, text/plain)
2012-01-25 03:34 EST, collura
no flags Details
var log messages for only kernel-3.2.1-3 with kernel-debug installed ; various programs give schedule atomic error (418.70 KB, text/plain)
2012-01-25 03:37 EST, collura
no flags Details
dmesg for kernel-3.1.9-1.fc16.x86_64 (67.54 KB, text/plain)
2012-01-26 04:40 EST, collura
no flags Details
dmesg for kernel-3.2.0-0.rc1.git0.1.fc17.x86_64 (114.19 KB, text/plain)
2012-01-26 04:42 EST, collura
no flags Details
dmesg for kernel-3.2.0-0.rc2.git1.1.fc17.x86_64 (98.73 KB, text/plain)
2012-01-26 04:43 EST, collura
no flags Details
dmesg for kernel-3.2.1-3.fc16.x86_64 (124.06 KB, text/plain)
2012-01-26 04:45 EST, collura
no flags Details
dmesg for kernel-3.2.1-4.1.fc16.x86_64 (66.75 KB, text/plain)
2012-01-26 04:47 EST, collura
no flags Details

  None (edit)
Description collura 2012-01-24 15:16:37 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.1-3.fc16.x86_64 root=UUID=92e69d75-93ae-4109-bf98-30282e6b9c1d ro rd.luks=0 rd.md=0 rd.dm=0 rd.lvm=0 KEYBOARDTYPE=pc KEYTABLE=us SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 rhgb quiet
comment:        ran updates to install updates including kernel-3.2.1-3.fc16.x86_64 and rebooted to get this.  also when go to settings-screen the brightness control appears for a second and then disappears so cant turn down the forgetful brightness from full with gui (another bug but fyi)
kernel:         3.2.1-3.fc16.x86_64
reason:         BUG: scheduling while atomic: colord/1456/0x10000101
time:           Tue 24 Jan 2012 03:03:07 PM EST

backtrace:
:BUG: scheduling while atomic: colord/1456/0x10000101
:Modules linked in: parport_pc lp parport fuse fcoe libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp stp llc ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack arc4 snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm ath5k ath mac80211 sp5100_tco toshiba_acpi shpchp snd_timer snd cfg80211 soundcore uvcvideo r8169 videodev mii media v4l2_compat_ioctl32 sparse_keymap snd_page_alloc rfkill i2c_piix4 joydev uinput microcode k10temp pata_acpi ums_realtek ata_generic usb_storage pata_atiixp video radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:CPU 0 
:Modules linked in: parport_pc lp parport fuse fcoe libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp stp llc ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack arc4 snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm ath5k ath mac80211 sp5100_tco toshiba_acpi shpchp snd_timer snd cfg80211 soundcore uvcvideo r8169 videodev mii media v4l2_compat_ioctl32 sparse_keymap snd_page_alloc rfkill i2c_piix4 joydev uinput microcode k10temp pata_acpi ums_realtek ata_generic usb_storage pata_atiixp video radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:Pid: 1456, comm: colord Not tainted 3.2.1-3.fc16.x86_64 #1 TOSHIBA Satellite L355D/Portable PC
:RIP: 0010:[<ffffffff812c1c07>]  [<ffffffff812c1c07>] clear_page_c+0x7/0x10
:RSP: 0018:ffff8800a7bfb900  EFLAGS: 00000246
:RAX: 0000000000000000 RBX: 0000000000000000 RCX: 00000000000001df
:RDX: ffff8800a7bfbfd8 RSI: 000000000000001e RDI: ffff88008be5f108
:RBP: ffff8800a7bfb9f8 R08: ffffea00022f9800 R09: 000000000008883a
:R10: 0000000000000002 R11: 0000000000000293 R12: 0000000000000000
:R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000000
:FS:  00007f2596ca67c0(0000) GS:ffff8800afa00000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:CR2: 00007f2596cc7000 CR3: 00000000a7bf5000 CR4: 00000000000006f0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process colord (pid: 1456, threadinfo ffff8800a7bfa000, task ffff8800a76c4560)
:Stack:
: ffffffff811221a2 0000000000000001 0000000000000000 0000000000000001
: 0000000000000000 ffff8800a7bfb988 ffff8800afedac08 ffffffffa76c4920
: 0000000000000000 ffff8800af40ae00 ffff8800afedac00 0000000000000000
:Call Trace:
: [<ffffffff811221a2>] ? get_page_from_freelist+0x302/0x830
: [<ffffffff8101b949>] ? sched_clock+0x9/0x10
: [<ffffffff81122960>] __alloc_pages_nodemask+0x110/0x890
: [<ffffffff811221a2>] ? get_page_from_freelist+0x302/0x830
: [<ffffffff81149fbf>] ? anon_vma_prepare+0x12f/0x160
: [<ffffffff8115b22a>] alloc_pages_vma+0x9a/0x150
: [<ffffffff8113f212>] handle_pte_fault+0x722/0xac0
: [<ffffffff812659b0>] ? inode_has_perm+0x30/0x40
: [<ffffffff81266c9d>] ? inode_has_perm_noadp.constprop.35+0x4d/0x70
: [<ffffffff811373c9>] ? zone_statistics+0x99/0xc0
: [<ffffffff8113f968>] handle_mm_fault+0x1f8/0x350
: [<ffffffff815e4952>] do_page_fault+0x142/0x4f0
: [<ffffffff81122960>] ? __alloc_pages_nodemask+0x110/0x890
: [<ffffffff812bfb89>] ? string+0x49/0xe0
: [<ffffffff815e16f5>] page_fault+0x25/0x30
: [<ffffffff812c1ead>] ? copy_user_generic_string+0x2d/0x40
: [<ffffffff8119b86b>] ? simple_read_from_buffer+0x5b/0xa0
: [<ffffffff811e9cad>] sysfs_read_file+0xed/0x1b0
: [<ffffffff81178c80>] vfs_read+0xb0/0x180
: [<ffffffff81178d9a>] sys_read+0x4a/0x90
: [<ffffffff815e8f02>] system_call_fastpath+0x16/0x1b
:Code: 48 89 45 c0 48 8d 45 d0 4c 89 4d f8 c7 45 b8 10 00 00 00 48 89 45 c8 e8 e8 f6 ff ff c9 c3 90 90 90 90 90 90 b9 00 02 00 00 31 c0 <f3> 48 ab c3 0f 1f 44 00 00 b9 00 10 00 00 31 c0 f3 aa c3 66 0f 

smolt_data:
:
:
:General
:=================================
:UUID: 57b10371-2823-49ab-83ad-5437b42ce0d1
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4198.44
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Turion(tm) X2 Dual-Core Mobile RM-72
:CPU Stepping: 1
:CPU Family: 17
:CPU Model Num: 3
:Number of CPUs: 2
:CPU Speed: 2100
:System Memory: 2758
:System Swap: 3283
:Vendor: TOSHIBA
:System: Satellite L355D PSLE8U-02P01D
:Form factor: Notebook
:Kernel: 3.2.1-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4130:38406:4473:65386) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 2)
:(4098:17297:4473:65386) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4098:38419:4473:65386) pci, radeon, VIDEO, RS780MC [Radeon HD 3100 Graphics]
:(4130:38400:4473:65386) pci, None, HOST/PCI, RS780 Host Bridge
:(4130:38402:4130:38402) pci, None, PCI/PCI, RS780/RS880 PCI to PCI bridge (int gfx)
:(4332:33078:4473:65386) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(4130:4868:0:0) pci, None, HOST/PCI, Family 11h Processor Link Control
:(4130:4865:0:0) pci, None, HOST/PCI, Family 11h Processor Address Map
:(4130:4864:0:0) pci, None, HOST/PCI, Family 11h Processor HyperTransport Configuration
:(4130:4867:0:0) pci, k10temp, HOST/PCI, Family 11h Processor Miscellaneous Control
:(4130:4866:0:0) pci, None, HOST/PCI, Family 11h Processor DRAM Controller
:(4098:17308:4473:65386) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:4473:65386) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17309:4473:65386) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4473:65386) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:4473:65386) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4473:65386) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:4473:65386) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:4473:65386) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:4473:65386) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:4473:65386) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(5772:28:5199:28968) pci, ath5k, ETHERNET, WLL3141 (Toshiba PA3613U-1MPC) 802.11bg Wireless Adapter
:(4130:38404:4473:65386) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 0)
:(4130:38405:4473:65386) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 1)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda5 / ext4 4096 4096 5733898 3589821 3532425 1441792 1266407 1266407
:/dev/sda10 /boot ext4 4096 4096 276589 245406 231544 69408 69172 69172
:
Comment 1 Josh Boyer 2012-01-24 15:23:33 EST
Can you install kernel-debug and see if something else is produced before this?
Comment 2 collura 2012-01-25 03:34:19 EST
Created attachment 557396 [details]
var log messages with various programs giving sched atomic error for kernel 3.2.1-3.fc16

line 0001 was from kernel-3.1.9-1.fc16.x86_64 no kernel-debug
line 1330 was from kernel-3.2.1-3.fc16.x86_64 no kernel-debug
line 2648 was from kernel-3.2.0-2.fc17.x86_64 with kernel-debug
Comment 3 collura 2012-01-25 03:37:42 EST
Created attachment 557398 [details]
var log messages for only kernel-3.2.1-3 with kernel-debug installed ;  various programs give schedule atomic error
Comment 4 collura 2012-01-25 03:40:38 EST
didnt see much about the colord reference but various other programs (firefox, swapper, colord, ..) gave similar 'scheduling while atomic' messages so probably this and other bugs that can be condensed from the duplicate cloud?
Comment 5 Josh Boyer 2012-01-25 08:28:09 EST
Would you be willing to try installing a few more kernels?  If we can narrow down the range the "scheduling while atomic" issue shows up in, we might get a better handle on which commit in 3.2 caused it.

Assuming the 3.1.x kernels work fine, let's start with 3.2-rc1:

http://koji.fedoraproject.org/koji/buildinfo?buildID=272907

If that works, then rc2:

http://koji.fedoraproject.org/koji/buildinfo?buildID=274346

We'll go from there.
Comment 6 Josh Boyer 2012-01-25 16:23:09 EST
One of the other bugs stumbled upon a possible fix.  Can you try this kernel:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3732597
Comment 7 collura 2012-01-26 04:40:05 EST
Created attachment 557615 [details]
dmesg for kernel-3.1.9-1.fc16.x86_64
Comment 8 collura 2012-01-26 04:42:33 EST
Created attachment 557616 [details]
dmesg for kernel-3.2.0-0.rc1.git0.1.fc17.x86_64
Comment 9 collura 2012-01-26 04:43:37 EST
Created attachment 557617 [details]
dmesg for kernel-3.2.0-0.rc2.git1.1.fc17.x86_64
Comment 10 collura 2012-01-26 04:45:44 EST
Created attachment 557618 [details]
dmesg for kernel-3.2.1-3.fc16.x86_64
Comment 11 collura 2012-01-26 04:47:41 EST
Created attachment 557619 [details]
dmesg for kernel-3.2.1-4.1.fc16.x86_64
Comment 12 collura 2012-01-26 05:10:43 EST
yes the kernel-3.2.1-4.1.fc16.x86_64 helped with me as well
(though didnt fix the disappearing brightness slider lol)
notifications and log files are much quieter.

scheduling while atomic:
   kernel-3.2.0-0.rc1.git0.1.fc17.x86_64
   kernel-3.2.0-0.rc2.git1.1.fc17.x86_64
   kernel-3.2.0-2.fc17.x86_64
   kernel-3.2.1-3.fc16.x86_64

notably improved particle integrity:
   kernel-3.1.9-1.fc16.x86_64
   kernel-3.2.1-4.1.fc16.x86_64

closing for now.  
will reopen if reoccurs.

thanks for the fix :')

Note You need to log in before you can comment on or make changes to this bug.